Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# gslib::static_container::lodge_list< Value >::iterator_base Class Reference

Inheritance diagram for gslib::static_container::lodge_list< Value >::iterator_base:

[legend]
List of all members.

## Public Member Functions
link * | getNode ()
bool | equal (iterator_base const &other) const
void | increment ()
void | decrement ()
## Protected Member Functions
void | setNext (link *next)
void | setPrev (link *prev)
## Protected Attributes
link * | node_
## Friends
class | lodge_list

### template<typename Value>
class gslib::static_container::lodge_list< Value >::iterator_base

## Member Function Documentation

template<typename Value>
void gslib::static_container::lodge_list< Value >::iterator_base::decrement | ( |  | ) | `[inline]`

| Definition at line 118 of file lodge_list.h. References gslib::static_container::lodge_list< Value >::iterator_base::node_. Referenced by gslib::static_container::lodge_list< Value >::iterator::operator--(), and gslib::static_container::lodge_list< Value >::const_iterator::operator--().
    00118                                  {
    00119                     BOOST_ASSERT( 0 != node_ );
    00120                     node_ = node_->prev;
    00121                 }

template<typename Value>
bool gslib::static_container::lodge_list< Value >::iterator_base::equal | ( | iterator_base const & | other | ) | const`[inline]`

| Definition at line 111 of file lodge_list.h. References gslib::static_container::lodge_list< Value >::iterator_base::node_. Referenced by gslib::static_container::lodge_list< Value >::iterator::operator!=(), gslib::static_container::lodge_list< Value >::const_iterator::operator!=(), gslib::static_container::lodge_list< Value >::iterator::operator==(), and gslib::static_container::lodge_list< Value >::const_iterator::operator==().
    00111                                                                {
    00112                     return this->node_ == other.node_;
    00113                 }

template<typename Value>
link* gslib::static_container::lodge_list< Value >::iterator_base::getNode | ( |  | ) | `[inline]`

| Definition at line 107 of file lodge_list.h. References gslib::static_container::lodge_list< Value >::iterator_base::node_.
    00107                                 {
    00108                     BOOST_ASSERT( 0 != node_ );
    00109                     return node_;
    00110                 }

template<typename Value>
void gslib::static_container::lodge_list< Value >::iterator_base::increment | ( |  | ) | `[inline]`

| Definition at line 114 of file lodge_list.h. References gslib::static_container::lodge_list< Value >::iterator_base::node_. Referenced by gslib::static_container::lodge_list< Value >::iterator::operator++(), and gslib::static_container::lodge_list< Value >::const_iterator::operator++().
    00114                                  {
    00115                     BOOST_ASSERT( 0 != node_ );
    00116                     node_ = node_->next;
    00117                 }

template<typename Value>
void gslib::static_container::lodge_list< Value >::iterator_base::setNext | ( | link * | next | ) | `[inline, protected]`

| Definition at line 96 of file lodge_list.h. References gslib::static_container::lodge_list< Value >::iterator_base::node_.
    00096                                            {
    00097                     BOOST_ASSERT( 0 != node_ );
    00098                     node_->next = next;
    00099                 }

template<typename Value>
void gslib::static_container::lodge_list< Value >::iterator_base::setPrev | ( | link * | prev | ) | `[inline, protected]`

| Definition at line 100 of file lodge_list.h. References gslib::static_container::lodge_list< Value >::iterator_base::node_.
    00100                                            {
    00101                     BOOST_ASSERT( 0 != node_ );
    00102                     node_->prev = prev;
    00103                 }

## Friends And Related Function Documentation

template<typename Value>
friend class lodge_list`[friend]`

| Reimplemented in gslib::static_container::lodge_list< Value >::const_iterator, and gslib::static_container::lodge_list< Value >::iterator. Definition at line 104 of file lodge_list.h.

## Member Data Documentation

template<typename Value>
link* gslib::static_container::lodge_list< Value >::iterator_base::node_`[protected]`

| Definition at line 95 of file lodge_list.h. Referenced by gslib::static_container::lodge_list< Value >::iterator_base::decrement(), gslib::static_container::lodge_list< Value >::iterator_base::equal(), gslib::static_container::lodge_list< Value >::iterator_base::getNode(), gslib::static_container::lodge_list< Value >::iterator_base::increment(), gslib::static_container::lodge_list< Value >::iterator_base::setNext(), and gslib::static_container::lodge_list< Value >::iterator_base::setPrev().

The documentation for this class was generated from the following file:

- lodge_list.h